Bug 1908648 - Skip TestKernelType test on OKD, adjust TestExtensions
Summary: Skip TestKernelType test on OKD, adjust TestExtensions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Vadim Rutkovsky
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On:
Blocks: 1908940
TreeView+ depends on / blocked
 
Reported: 2020-12-17 09:22 UTC by Vadim Rutkovsky
Modified: 2021-02-24 15:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:46:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2256 0 None closed Bug 1908648: [test] Skip TestKernelType on OKD 2021-02-19 03:45:13 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:46:37 UTC

Description Vadim Rutkovsky 2020-12-17 09:22:10 UTC
OKD doesn't have a real-time kernel, so okd-gcp-op test should skip it. TestExtensions doesn't automatically mix in `kernel-headers` RPM in OKD, so the test expected result needs to be updated too

Comment 5 errata-xmlrpc 2021-02-24 15:46:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.